﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Preventative SOD</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Preventative SOD</h1>
        <p>This section consists of the following:</p>
        <h2 id="PreventativeSOD-PreventativeSODAnalysis"><a name="Preventative_SOD_Analysis"></a>Preventative SOD Analysis</h2>
        <p>Preventive SOD analysis is proactive process ensuring risks defined within the ruleset are not violated or mitigated while requesting access via Saviynt. A user can request access for new accounts/ roles or modify access to applications or request access for other users. While selecting access, the preexisting roles along with the available request-able roles are displayed to the requester.</p>
        <p>Once the new roles are added/ modified, the system performs a prompt evaluation according to the defined and active rulesets, identifies and displays any violating SOD conflicts. The information displayed mainly comprises the violating entitlement/ access along with the risk criticality, and parent entitlement corresponding to the violated risks.</p>
        <p>Saviynt requests a business justification and comments for newly requested objects along with permitting mitigating controls associated to the user accounts, if applicable. The requested access is next forwarded towards the approval process defined in the work flow which can be approved/ rejected or mitigated. A mitigating control approver verifies and validates the requested objects within&#160;<strong>IGA</strong>are approved and monitored.</p>
        <p>
            <img src="../Resources/Images/preventative sod.jpg" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <h2 class="sc-ugnQR goeSzu" id="PreventativeSOD-PreventativeSODConfiguration">Preventative SOD Configuration</h2>
        <p>Following are the steps to configure preventative&#160;<strong>SOD</strong>&#160;configuration in the&#160;Saviynt Saviynt Identity Governance and Administration (IGA)&#160;application:</p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <p class="table-text">Summary</p>
                    </th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                        <p class="table-text">Description</p>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Access to&#160;<strong>IGA</strong>.</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Access to the&#160;<strong>IGA</strong>is given to the users.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Admin or User Login credentials.</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">A valid system administrator login - this includes the Administrator responsibility for managing and has access to all the available features in SOD.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Assignment of user-personas to SAV Role.</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Initially when a user logs in for the first time into the&#160;<strong>IGA</strong>, user may not be able to see the&#160;<strong>SOD</strong>&#160;tab, since the access is not assigned. The&#160;admin has to enable the user's access for every SOD menu and sub-menu's within&#160;<strong>IGA</strong>.</p>
                        <p>In the Global configurations, navigate to SOD drop down and select&#160;<strong>Show Existing SOD in request</strong> check box.</p>
                        <p style="text-align: left;" class="table-text">Select this check box to see the existing SOD violations, if any, while raising the access request.</p>
                        <p style="text-align: left;" class="table-text">If the user wants to see the SOD calculation for the next time while raising a request for the existing entitlements, then this check box must be enabled, otherwise the SOD details will not be visible while placing the request for the second time for the same entitlements.</p>
                        <p class="table-text">For more information about enabling access to<strong>SOD</strong>&#160;tab, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-and-Managing-Custom-SAV-Roles.htm">Creating and Managing Custom SAV Roles</MadCap:xref>.<br /></p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Setting-up Identity Warehouse.</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Saviynt Identity Warehouse must be setup on&#160;<strong>IGA</strong>. For more information about setting-up Identity Warehouse, see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Saviynt-Identity-Repository-Setup.htm">Setting up IGA Identity Repository</MadCap:xref></p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Approvers are assigned for Endpoints.</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">One or more endpoints with associated approver(s) have been setup based on the workflow created. For more information about setting-up the Resource Owner (approver) in Endpoint, see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Managing-Endpoints.htm">Managing Endpoints</MadCap:xref>.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Create and assign workflow to Endpoints.</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">Workflow for Endpoints should be created and approvers must be assigned in the workflow. For more information about creating workflow, see <MadCap:xref href="../Chapter11-Managing-Workflows/Managing-Workflows.htm">Managing-Workflows</MadCap:xref>.</td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Create Email Templates for&#160; SOD</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Various Email Templates and parameters for SOD must be configured and setup in <strong>IGA</strong>. For more information related to setting-up Email Templates, see the section <strong>Email Parameters required for SOD</strong> tab in <MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Managing Email Templates</MadCap:xref>.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Configuring Job Control Panel</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Ensure that all the Jobs related to preventative SOD are created and scheduled to complete the SOD functionality.</p>
                        <p class="table-text">For more information on jobs, see <MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm">Job Categories for Flat Job Control Panel</MadCap:xref>.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Configure the Basic Configuration using&#160;<b>Admin &gt; Global Configurations &gt; SOD</b> tab.</p>
                    </td>
                    <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Ensure that preventative SOD related configurations have been setup and provided from&#160;<strong style="text-align: left;">Admin &gt; Global Configurations &gt; SOD</strong>.For more information, see&#160;<MadCap:xref href="../Chapter06-Configuring-EIC/SOD-Configuration.htm">SOD Configurations</MadCap:xref>.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">Information pertaining to the preventative SOD analysis process.</td>
                    <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">A clear understanding of preventative SOD analysis process, see <MadCap:xref href="#">Preventative SOD.</MadCap:xref></p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Possess accurate data such as rulesets and associated objects. Also, information pertaining to the SOD process.</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">The <strong>Ruleset</strong> objects that you create using the application can be used for managing preventative SOD analysis functionality. The <strong>Ruleset</strong> consists of primary and secondary objects. Primary objects are core objects such as risks and functions. Secondary objects are mapped to primary objects such as entitlement types and entitlement values.&#160;</p>
                        <p class="table-text">The default Ruleset must be marked as True. Risk and Function must have valid entitlement type and entitlement values. Risk and &amp; functions are tagged to right Ruleset. In&#160;the external Config file,&#160;verify the configuration for sod.endpoints.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Possess accurate data and information pertaining to the ARS process.</p>
                    </td>
                    <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">A clear understanding of business functioning in your organization along with the ARS functionality including access requests and approvals.&#160;</p>
                        <p class="table-text">For example, if the endpoint has entitlements causing SOD violations, such violations can be displayed to the user, even before the user submits the access request for accounts and entitlements.&#160;For more information, see <MadCap:xref href="../Chapter12-Managing-Access-Requests/Understanding_SOD_Analysis__Recommendationsacctent.htm">Understanding SOD Analysis, Recommendations, and Request Roles while Requesting for Account Entitlements</MadCap:xref>.</p>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>